import 'package:fis_ui/index.dart';
import 'package:flyinsono/pages/main/home/widgets/dialog_page.dart';
import 'package:flyinsono/pages/schedule/schedule_notification/schedule_notification_controller.dart';
import 'package:get/get.dart';

import 'controller.dart';

///主页页面依赖绑定
class HomeBinding implements Bindings {
  @override
  void dependencies() {
    if (kIsMobile) {
      Get.lazyPut(() => HomeMobileNavController());
    } else {
      Get.lazyPut(() => HomeNavigatorController());
    }
    Get.put<ScheduleNotificationController>(ScheduleNotificationController());
    Get.put<FWebviewInteractiveController>(FWebviewInteractiveController());
    Get.put<HomeController>(HomeController());
  }
}
